package controller

import (
	"web-qudo-be/app/module/hero_content_images/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	HeroContentImages HeroContentImagesController
}

func NewController(heroService service.HeroContentImagesService, log zerolog.Logger) *Controller {
	return &Controller{
		HeroContentImages: NewHeroContentImagesController(heroService, log),
	}
}